@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");

.dropdown-menu {
  opacity: 0;
  visibility: hidden;
  transform: translateY(-20px);
  transition: all 0.3s ease;
}

.dropdown:hover .dropdown-menu {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.login-btn a {
  animation: borderAnimation 3s linear infinite;
}

@keyframes borderAnimation {
  0%,
  100% {
    border-color: #8c00ff00;
    box-shadow:
      0 0 10px #8c00ff00,
      inset 0 0 10px #8c00ff00;
  }
  50% {
    border-color: #8c00ffb2;
    box-shadow:
      0 0 20px #8c00ffb2,
      inset 0 0 20px #8c00ffb2;
  }
}

.contact-form-input:focus,
.contact-form-textarea:focus,
.contact-form-select:focus {
  border-color: #3f0f6a;
}

.animate-custom-scroll {
  animation: rightToLeftScroll 20s linear infinite;
}

@keyframes rightToLeftScroll {
  0% {
    transform: translateX(0) rotate(0deg);
  }
  50% {
    transform: translateX(-50px) rotate(0deg);
  }
  100% {
    transform: translateX(0) rotate(0deg);
  }
}

/* . */
.bg-image-section-1 {
  background-image: url(../Image/circleBg.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

/*  */
.animate-marquee {
  animation: marqueeScroll 60s linear infinite;
}

.animate-marquee:hover {
  animation-play-state: paused;
}

@keyframes marqueeScroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}
